Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class OIDTokenizer

    java.lang.Object
      org.bouncycastle.asn1.OIDTokenizer

    public class OIDTokenizer

extends java.lang.Object

class for breaking up an OID into it's component tokens, ala java.util.StringTokenizer. We need this class as some of the lightweight Java environment don't support classes like StringTokenizer.

Constructor Summary
`OIDTokenizer(java.lang.String oid)`

Method Summary
`boolean` | `hasMoreTokens()`
`java.lang.String` | `nextToken()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OIDTokenizer

    public OIDTokenizer(java.lang.String oid)

Method Detail

### hasMoreTokens

    public boolean hasMoreTokens()

### nextToken

    public java.lang.String nextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD